quizkillo.blogg.se

Visual basic power pack rectangle bounding box
Visual basic power pack rectangle bounding box










Rectangular bounding box in the form of a 2D LWPolyline if any object in the selection resides in a different construction plane, the program willĬonstruct the 3D cuboid bounding box in the form of a 3D solid. If all objects in the selection are coplanar and reside in a plane parallel to the WCS plane, the following program will construct the 2D The following program will prompt the user to select a set of objects and will then construct a bounding box surrounding all objects in the selection. Ls2 ( mapcar ' max ( vlax-safearray->list urp ) ( cond (ls2 ) (( vlax-safearray->list urp )))) ) ) ) ( if ( and ls1 ls2 ) ( list ls1 ls2 )) ) Test Program sel - Selection set for which to return bounding box ( defun LM:ssboundingbox ( sel / idx llp ls1 ls2 obj urp ) ( repeat ( setq idx ( sslength sel )) ( setq obj ( vlax-ename->vla-object ( ssname sel ( setq idx ( 1- idx ))))) ( if ( and ( vlax-method-applicable-p obj 'getboundingbox ) ( not ( vl-catch-all-error-p ( vl-catch-all-apply ' vla-getboundingbox ( list obj 'llp 'urp )))) ) ( setq ls1 ( mapcar ' min ( vlax-safearray->list llp ) ( cond (ls1 ) (( vlax-safearray->list llp )))) Visual Basic Power Pack contains a DataRepeater control, Line and Shape controls, PrintForm component, and Printer Compatibility Library all rolled into one download.

#Visual basic power pack rectangle bounding box free

Select all Selection Set Bounding Box - Lee Mac Returns a list of the lower-left and upper-right WCS coordinates of a rectangular frame bounding all objects in a supplied selection set. Power Packs are free Add-Ins, Controls, Components, and Tools for you to use with Visual Basic to make developing great applications even easier. Processing selection sets containing a large number of objects: This alternative version of the function avoids the limitation imposed by the maximum number of argumentsĪccepted by the AutoLISP min & max functions when Ls2 ( cons ( vlax-safearray->list urp ) ls2 ) ) ) ) ( if ( and ls1 ls2 ) ( mapcar ' ( lambda ( a b ) ( apply ' mapcar ( cons a b ))) ' ( min max ) ( list ls1 ls2 )) ) ) Alternative Version

visual basic power pack rectangle bounding box

sel - Selection set for which to return bounding box ( defun LM:ssboundingbox ( sel / idx llp ls1 ls2 obj urp ) ( repeat ( setq idx ( sslength sel )) ( setq obj ( vlax-ename->vla-object ( ssname sel ( setq idx ( 1- idx ))))) ( if ( and ( vlax-method-applicable-p obj 'getboundingbox ) ( not ( vl-catch-all-error-p ( vl-catch-all-apply ' vla-getboundingbox ( list obj 'llp 'urp )))) ) ( setq ls1 ( cons ( vlax-safearray->list llp ) ls1 )

visual basic power pack rectangle bounding box

Select all Selection Set Bounding Box - Lee Mac Returns a list of the lower-left and upper-right WCS coordinates of a rectangular frame bounding all objects in a supplied selection set.










Visual basic power pack rectangle bounding box